# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="Jellyfin build of ffmpeg with streaming enhancements."

UPSTREAM_VERSION="${PV%.*}-${PV##*.}"
HOMEPAGE="https://jellyfin.readthedocs.io/en/latest/"
SRC_URI="https://github.com/jellyfin/jellyfin-ffmpeg/releases/download/v${UPSTREAM_VERSION}/jellyfin-ffmpeg_${UPSTREAM_VERSION}_portable_linux64-gpl.tar.xz"
RESTRICT="mirror test"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

INST_DIR="/opt/${PN}"

QA_PREBUILT="${INST_DIR}/ffmpeg ${INST_DIR}/ffprobe"
S="${WORKDIR}"

src_unpack() {
	unpack ${A}
}

src_install() {
	S="${WORKDIR}"
	dodir ${INST_DIR}
	insinto ${INST_DIR}
	doins -r ${S}/*
	fperms 755 ${INST_DIR}/ffmpeg ${INST_DIR}/ffprobe
}
